
QGIS Application - Bug report #5809

Segmentation fault when data source deleted or moved

2012-06-16 09:10 PM - ben h

Status: Closed

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15292

Description

I moved and deleted a few files that were the data sources for a few layers in a QGIS project. When I re-opened the QGIS project there

was a seg. fault. Here are the messages from the terminal:

ERROR 4: `/home/harb/Documents/Varma et al fig 9.png' does not exist in the file system,

and is not recognised as a supported dataset name.

ERROR 4: `/home/harb/Documents/Varma et al fig 7_modified.tif' does not exist in the file system,

and is not recognised as a supported dataset name.

ERROR 4: `/home/harb/Documents/Varma et al fig 9_modified.tif' does not exist in the file system,

and is not recognised as a supported dataset name.

ERROR 10: Pointer 'hDS' is NULL in 'OGR_DS_Destroy'.

ERROR 4: `/home/harb/Downloads/meanan/meanann.txt' does not exist in the file system,

and is not recognised as a supported dataset name.

Segmentation fault

Related issues:

Duplicated by QGIS Application - Bug report # 5832: QGIS seg fault when loadi... Closed 2012-06-20

Duplicated by QGIS Application - Bug report # 6129: QGIS 1.8.0 crashes when t... Closed 2012-07-31

Associated revisions

Revision 23a34121 - 2012-06-20 09:01 PM - Jürgen Fischer

fix #5809

History

#1 - 2012-06-18 08:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

I just tested with a vector and a raster and in my case it shows the

usual "handle bad layers" dialog, plus
ERROR 4:

`/media/436dc38a-c791-4a29-92e8-1506d42f2a9d/gio/UBC_filipe/dem_move_clipped.tif' does not exist in the file system,

and is not recognised as a supported dataset name.

or

ERROR 10: Pointer 'hDS' is NULL in 'OGR_DS_Destroy'.

in the terminal, but no crashes whatsoever.

I'm using qgis 1.8 under ubuntu 12.04 64 bit.

Can you try on another box?

#2 - 2012-06-19 11:17 PM - ben h

By happy coincidence I've just re-installed my system (not for the purpose of this bug, I needed to for other reasons), and upgraded from Ubuntu Karmic to

Precise (12.04). I have installed qgis 1.8.0 from the qgis.org repositories. I continue to get the segmentation fault:

ERROR 4: `/home/harb/Documents/Varma et al fig 9.png' does not exist in the file system,

and is not recognised as a supported dataset name.

ERROR 4: `/home/harb/Documents/Varma et al fig 7_modified.tif' does not exist in the file system,

and is not recognised as a supported dataset name.

ERROR 4: `/home/harb/Documents/Varma et al fig 9_modified.tif' does not exist in the file system,

and is not recognised as a supported dataset name.

ERROR 10: Pointer 'hDS' is NULL in 'OGR_DS_Destroy'.

ERROR 4: `/home/harb/Downloads/meanan/meanann.txt' does not exist in the file system,

and is not recognised as a supported dataset name.

Segmentation fault (core dumped)

Ubuntu's crash reporting system reports a problem with the delimited text provider (or something like that - I can't get it to report anymore, I must have

checked the 'don't report this problem anymore' box).

#3 - 2012-06-20 12:01 PM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"23a3412113a04fac0bdafffe9fc8a48c2a39e8ea".
